package org.apache.bcel.util;

package .tmp;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import org.apache.bcel.util.ClassPath;

class Dir extends ClassPath.AbstractPathEntry {
  private final String dir;
  
  Dir(String d) {
    this.dir = d;
  }
  
  public void close() throws IOException {}
  
  ClassPath.ClassFile getClassFile(String name, String suffix) {
    File file = new File(this.dir + File.separatorChar + name.replace('.', File.separatorChar) + suffix);
    return file.exists() ? (ClassPath.ClassFile)new Object(this, file) : null;
  }
  
  URL getResource(String name) {
    File file = toFile(name);
    try {
      return file.exists() ? file.toURI().toURL() : null;
    } catch (MalformedURLException e) {
      return null;
    } 
  }
  
  InputStream getResourceAsStream(String name) {
    File file = toFile(name);
    try {
      return file.exists() ? new FileInputStream(file) : null;
    } catch (IOException e) {
      return null;
    } 
  }
  
  private File toFile(String name) {
    return new File(this.dir + File.separatorChar + name.replace('/', File.separatorChar));
  }
  
  public String toString() {
    return this.dir;
  }
}
